Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.parser.coretypes
Class ColorReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.coretypes.ColorReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class ColorReadHandler

extends AbstractXmlReadHandler

A SAX handler for reading `Color` objects from an XML element.

Constructor Summary
`ColorReadHandler()` Creates a new handler.

Method Summary
`java.lang.Object` | `getObject()` Returns the color under construction.
`protected void` | `startParsing(org.xml.sax.Attributes attrs)` Called at the start of parsing a `Color` element, this method reads the attributes and constructs the `Color`.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorReadHandler

    public ColorReadHandler()

  Creates a new handler.

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Called at the start of parsing a `Color` element, this method reads the attributes and constructs the `Color`.

  Overrides:
    `startParsing` in class `AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - to indicate a parsing error.

### getObject

    public java.lang.Object getObject()

  Returns the color under construction.

  Returns:
    the color.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD